## NAME

d.what.rast - Allows the user to interactively query raster map layers at user-selected locations.

## KEYWORDS

display, vector

## SYNOPSIS

d.what.rast
d.what.rast --help
d.what.rast map=name[,name,...] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name[,name,...] [required]
  Name of input raster map(s)

## DESCRIPTION

d.what.rast outputs the category value(s) associated with user-specified location(s) in user-specified raster map layer(s). The active monitor can be selected with d.mon.

## SEE ALSO

d.what.vect, d.redraw, d.erase, d.rast, d.vect, d.mon

## AUTHOR

Anna Petrasova, NCSU GeoForAll Lab

## SOURCE CODE

Available at: d.what.rast source code (history)

Latest change: Friday Feb 07 19:16:09 2025 in commit: a82a39f673b97fafcfce1604dc3e6015cb96487a

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual